if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[CustomerImagesXTab]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[CustomerImagesXTab](
		[CustomerNumber] int NOT NULL,
		[ImageName] VARCHAR(255) NOT NULL
	
	CONSTRAINT [PK_CustomerImagesXTab_1] PRIMARY KEY CLUSTERED 
	(
		[CustomerNumber], [ImageName] ASC
	)
)

	ALTER TABLE [dbo].[CustomerImagesXTab]  WITH NOCHECK ADD  CONSTRAINT [FK_CustomerImages_Customer] FOREIGN KEY([CustomerNumber])
	REFERENCES [dbo].[Customer] ([CustomerNumber])

	ALTER TABLE [dbo].[CustomerImagesXTab] CHECK CONSTRAINT [FK_CustomerImages_Customer]

END